package com.chelvc.cloud.vehicle.api.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CurrencyRecordPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;


}
